Q. Where can I find an earlier version of the Core SLP plugin?

A. If you need to download an earlier version of the  WordPress StoreLocator Plus developer plugin, go to the WP developers plugin directory.  Select the version you need , download.

You may also want to check out this article:

Downgrading Store Locator Plus